tokyocabinet-haskell-0.0.5: Haskell binding of Tokyo Cabinet

Safe Haskell | None

Database.TokyoCabinet.List.C

# Documentation

data List a Source

Constructors

List |

Fields

unTCList :: !(ForeignPtr LIST)

Instances

Sequence List |

data LIST Source

c_tclistnew :: IO (Ptr LIST)Source

c_tclistnew2 :: CInt -> IO (Ptr LIST)Source

c_tclistdup :: Ptr LIST -> IO (Ptr LIST)Source

c_tclistdel :: Ptr LIST -> IO ()Source

tclistFinalizer :: FunPtr (Ptr LIST -> IO ())Source

c_tclistnum :: Ptr LIST -> IO CInt Source

c_tclistval :: Ptr LIST -> CInt -> Ptr CInt -> IO (Ptr Word8)Source

c_tclistval2 :: Ptr LIST -> CInt -> IO CString Source

c_tclistpush :: Ptr LIST -> Ptr Word8 -> CInt -> IO ()Source

c_tclistpush2 :: Ptr LIST -> CString -> IO ()Source

c_tclistpop :: Ptr LIST -> Ptr CInt -> IO (Ptr Word8)Source

c_tclistpop2 :: Ptr LIST -> IO CString Source

c_tclistunshift :: Ptr LIST -> Ptr Word8 -> CInt -> IO ()Source

c_tclistunshift2 :: Ptr LIST -> Ptr Word8 -> IO ()Source

c_tclistshift :: Ptr LIST -> Ptr CInt -> IO (Ptr Word8)Source

c_tclistshift2 :: Ptr LIST -> IO CString Source

c_tclistinsert :: Ptr LIST -> CInt -> Ptr Word8 -> CInt -> IO ()Source

c_tclistinsert2 :: Ptr LIST -> CInt -> Ptr Word8 -> IO ()Source

c_tclistremove :: Ptr LIST -> CInt -> Ptr CInt -> IO (Ptr Word8)Source

c_tclistremove2 :: Ptr LIST -> CInt -> IO CString Source

c_tclistover :: Ptr LIST -> CInt -> Ptr Word8 -> CInt -> IO ()Source

c_tclistover2 :: Ptr LIST -> CInt -> CString -> IO ()Source

c_tclistsort :: Ptr LIST -> IO ()Source

c_tclistlsearch :: Ptr LIST -> Ptr Word8 -> CInt -> IO CInt Source

c_tclistbsearch :: Ptr LIST -> Ptr Word8 -> CInt -> IO CInt Source

c_tclistclear :: Ptr LIST -> IO ()Source

c_tclistdump :: Ptr LIST -> Ptr CInt -> IO (Ptr Word8)Source

c_tclistload :: Ptr Word8 -> CInt -> IO (Ptr LIST)Source